These docs are for v1.0. Click to read the latest docs for v2.0.

Create a New Trigger

Creates a new trigger that can be fired.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

A few things to note when creating triggers and adding your own merge tags. All triggers come with four default merge tags that shops can use in messages after your trigger is fired based on the data we have for a shop and subscriber. They are:

  • First Name: label: "First Name", value: "{first_name}"
  • Last Name: label: "Last Name", value: "{last_name}"
  • Shop Name: label: "Shop Name", value: "{shop_name}"
  • Shop Link: label: "Shop Link", value: "{shop_link}"

You can of course add more tags if you'd like to the above but do note that these tags will be available to a shop that is using your custom trigger.

One other thing to note about trigger merge tags. We do not currently support the use of camel case in variable naming of merge tags. Therefore, if you try to pass a variable name like "{fullName}", it will be converted to "{fullname}" instead. We do, however, support both kebab and snake casing of variable names (for example "{full-name}" and "{full_name}" will not be changed).

Body Params
string
required
Defaults to Testing Triggers

Name of the trigger (what a shop sees).

tags
array of objects

A list of available merge tags that can be used when firing this trigger.

tags
boolean
Defaults to false

Whether or not a trigger can be used to send transactional messages. Note: just because a trigger can be transactional, does not mean it will be used that way. Also, transactional messages require approval from Postscript before they can be sent to transactional subscribers.

Headers
string

Only for partners, shops should use the Authorization header instead. If you include a shop's API token as part of this call, it will create the trigger for that specific shop only. If you would like to create a general trigger to add multiple shops to, first create a trigger without using the shop token, then use the Add Shop to Trigger endpoint to grant individual shops access to your trigger.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json